Skip to main content
POST
/
subscriptions
/
cancel
Cancel subscription
curl --request POST \
  --url https://api.veryfront.com/subscriptions/cancel \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "subscription": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "cycle": "<string>",
    "quantity": 123,
    "status": "<string>",
    "current_period_start": "<string>",
    "current_period_end": "<string>",
    "expires_at": "<string>",
    "canceled_at": "<string>",
    "created_at": "<string>"
  },
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Response

Subscription cancelled

success
boolean
required

Whether cancellation succeeded

subscription
object
error
string | null

Cancellation error message, when present